Loading...
Searching...
No Matches
pappso::MassSpectrumJs Class Reference

The MassSpectrumJs class provides a JavaScript wrapper around MassSpectrum. More...

`#include <massspectrumjs.h>`

Inheritance diagram for pappso::MassSpectrumJs:

## Signals

void | sizeChangedSignal ()

## Public Member Functions

Q_INVOKABLE | MassSpectrumJs (QObject *parent=nullptr)
| ~MassSpectrumJs ()
MassSpectrumJs & | operator= (const MassSpectrumJs &)=delete
Q_INVOKABLE int | getSize () const

## Static Public Member Functions

static void | registerJsConstructor (QJSEngine *engine)

## Properties

int | size

## Private Attributes

MassSpectrum | m_massSpectrum

## Detailed Description

The MassSpectrumJs class provides a JavaScript wrapper around MassSpectrum.

Definition at line 58 of file massspectrumjs.h.

## Constructor & Destructor Documentation

## MassSpectrumJs()

pappso::MassSpectrumJs::MassSpectrumJs | ( | QObject * | parent = nullptr | ) |

explicit

Definition at line 45 of file massspectrumjs.cpp.

: QObject(parent)
{
}

Referenced by operator=().

## ~MassSpectrumJs()

pappso::MassSpectrumJs::~MassSpectrumJs | ( |  | ) |

Definition at line 50 of file massspectrumjs.cpp.

{
}

## Member Function Documentation

## getSize()

int pappso::MassSpectrumJs::getSize | ( |  | ) | const

Definition at line 55 of file massspectrumjs.cpp.

{
return static_cast<int>(m_massSpectrum.size());
}
pappso::MassSpectrumJs::m_massSpectrum
MassSpectrum m_massSpectrum
Definition massspectrumjs.h:79

References m_massSpectrum.

Referenced by operator=().

## operator=()

MassSpectrumJs & pappso::MassSpectrumJs::operator= | ( | const MassSpectrumJs & |  | ) |

delete

References MassSpectrumJs(), getSize(), and registerJsConstructor().

## registerJsConstructor()

void pappso::MassSpectrumJs::registerJsConstructor | ( | QJSEngine * | engine | ) |

static

Definition at line 62 of file massspectrumjs.cpp.

{
if(!engine)
{
qWarning() << "Cannot register class: engine is null";
return;
}
// Register the meta object as a constructor
QJSValue jsMetaObject = engine->newQMetaObject(&MassSpectrumJs::staticMetaObject);
engine->globalObject().setProperty("MassSpectrum", jsMetaObject);
}

Referenced by operator=().

## sizeChangedSignal

void pappso::MassSpectrumJs::sizeChangedSignal | ( |  | ) |

signal

## Member Data Documentation

## m_massSpectrum

MassSpectrum pappso::MassSpectrumJs::m_massSpectrum

private

Definition at line 79 of file massspectrumjs.h.

Referenced by getSize().

## Property Documentation

## size

int pappso::MassSpectrumJs::size

read

Definition at line 61 of file massspectrumjs.h.

The documentation for this class was generated from the following files:

- pappsomspp/core/js_qml/massspectrumjs.h
- pappsomspp/core/js_qml/massspectrumjs.cpp